import java.awt.image.BufferedImage;
import java.io.InputStream;
import java.net.URL;

import javax.imageio.ImageIO;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JOptionPane;

import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;
import org.jsoup.nodes.Element;

public class App {
  private static void showImage(String query) throws Exception {
    Document doc = Jsoup.connect("https://www.google.com/search?source=lnms&tbm=isch&q=" + query).get();

    Element image = doc.select(".Q4LuWd[data-src]").first();

    URL url = new URL(image.attr("data-src"));

    try (InputStream is = url.openStream()) {
      BufferedImage img = ImageIO.read(is);

      JLabel label = new JLabel(new ImageIcon(img));

      String title = "Imagem sobre " + query;

      JOptionPane.showConfirmDialog(null, label, title, JOptionPane.DEFAULT_OPTION, JOptionPane.PLAIN_MESSAGE);
    }
  }

  public static void main(String... args) throws Exception {
    showImage("kitten");
  }
}
